<div class="panel-header panel-header-sm"></div>
<div class="main-content">
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
          <h5 class="title">Registrar Clientes</h5>
        </div>
        <div class="card-body">
          <form [formGroup]="formIngreso" (ngSubmit)="crear()">
            <div class="form-group">
              <div class="row">
                <div class="col-md-4 pr-1">
                  <div class="form-group">
                    <label for="rutCliente" class="control-label">Rut</label>
                    <input
                      type="text"
                      class="form-control"
                      formControlName="rutCliente"
                      placeholder="Rut"
                    />
                  </div>
                </div>
                    <div class="col-md-4 pr-1">
                      <div class="form-group">
                        <label for="nombreCliente">Nombre</label>
                        <input
                          formControlName="nombreCliente"
                          class="form-control"
                          placeholder="Nombre"
                        />
                      </div>
                    </div>
                    <div class="col-md-4 pr-1">
                      <div class="form-group">
                        <label for="apellidoPaterno">Apellido Paterno</label>
                        <input
                        formControlName="apellidoPaterno"
                          class="form-control"
                          placeholder="Apaterno"
                        />
                      </div>
                    </div>
                    <div class="col-md-4 pr-1">
                      <div class="form-group">
                        <label for="apellidoMaterno">Apellido Materno</label>
                        <input
                          formControlName="apellidoMaterno"
                          class="form-control"
                          placeholder="Amaterno"
                        />
                      </div>
                    </div>

                    <div class="col-md-4 pr-1">
                        <div class="form-group">
                          <label for="email">Email</label>
                          <input
                            formControlName="email"
                            class="form-control"
                            placeholder="Email"
                          />
                        </div>
                      </div>
                  
                  
                  <div class="col-md-4 pr-1">
                      <div class="form-group">
                        <label for="direccion">Dirección</label>
                        <input 
                        formControlName="direccion"
                        type="text" 
                        class="form-control" />
                      </div>
                    </div> 
                    <div class="col-md-6 pl-3">
                      <div class="form-group">
                        <label for="descCliente">Descripción Cliente</label>
                        <input 
                        formControlName="descCliente"
                        type="text" 
                        class="form-control text-uppercase" />
                      </div>
                    </div>               
               <div class="col-md-6 pl-3">
                <div class="form-group">
                  <label for="ciudad" class="control-label"
                    >Comuna</label>
                  <mat-select class="form-control text-uppercase"  formControlName="idComuna" >
                    <mat-option
                    class="text-uppercase"                       
                      *ngFor="let ciudad of ciudades"
                      [value]="ciudad.id"
                      ngDefaultControl 
                      >{{ ciudad.nombreComuna }}
                    </mat-option>
                  </mat-select>
                </div>
              </div>              
            </div> 
        </div>                
            <br />
            <div class="col-md-4 px-1">
              <div class="form-group">
                <div class="container-login100-form-btn">
                  <button class="login100-form-btn">Registrar</button>
                </div>
              </div>
            </div>          
          </form>
        </div>
      </div>

      <div class="col-md-12">
        <div class="card card-plain">
          <div class="card-header">
            <h4 class="card-title">Clientes Registrados</h4>
          </div>
          <div class="card-body">
            <div class="table-hover table-striped">
              <table class="table">
                <thead class="text-primary">
                  <th>Rut</th>
                  <th>Nombre</th>
                  <th>Apellido Paterno</th>
                  <th>Apellido Materno</th>
                  <th>Email</th>
                  <th>Dirección</th>
                  <th>Ciudad</th>
                  <th>Descripción</th>
                  <th class="text-center">Opciones</th>
                </thead>
                <tbody>
                  <tr *ngFor="let cliente of clientes">
                    <td scope="row">{{ cliente.rutCliente }}</td>
                    <td>{{ cliente.nombreCliente | titlecase }}</td>
                    <td>{{ cliente.apellidoPaterno | titlecase }}</td>
                    <td>{{ cliente.apellidoMaterno | titlecase }}</td>
                    <td>{{ cliente.email | titlecase }}</td>
                    <td>{{ cliente.direccion | titlecase }}</td>
                    <td>{{ cliente.comunas.nombreComuna }}</td>
                    <td>{{ cliente.descCliente | titlecase }}</td>
                    <td class="text-center">
                      <button
                        mat-raised-button
                        color="primary"
                        style="margin: 10px"
                        [routerLink]="['/ingresar-cliente/editar-cliente', cliente.id]"
                      >
                        Editar
                      </button>

                      <button
                        mat-raised-button
                        color="warn"
                        (click)="eliminar(cliente)"
                      >
                        Eliminar
                      </button>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>

            <mat-paginator
              [length]="totalRegistros"
              [pageSize]="totalPorPagina"
              [pageIndex]="paginaActual"
              [pageSizeOptions]="pageSizeOptions"
              (page)="paginar($event)"
              showFirstLastButtons
              class="mx-2"
            >
            </mat-paginator>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

